%global srcname invocations
%global sum Invocations is a collection of reusable Invoke tasks/task modules

Name:           python-%{srcname}
Version:        0.13.0
Release:        15%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://github.com/pyinvoke/%{srcname}
Source0:        https://github.com/pyinvoke/%{srcname}/archive/%{version}.tar.gz
# Upstream vendors python-six so we have to unvendor it
Patch0:         unvendor.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%description
Invocations is a collection of reusable Invoke tasks/task modules, including
(but not limited to) Python project management tools such as documentation
building and dependency organization. It has no stand-alone components and is
designed to be imported into your pre-existing Invoke task files.


%package -n python3-%{srcname}
Summary:        %{sum}
Requires:       python3-invoke
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Invocations is a collection of reusable Invoke tasks/task modules, including
(but not limited to) Python project management tools such as documentation
building and dependency organization. It has no stand-alone components and is
designed to be imported into your pre-existing Invoke task files.


%prep
%autosetup -p0 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


# Upstream currently does not provide unit tests so there is no check


%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*


%changelog
* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.13.0-14
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.13.0-13
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Oct 17 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.13.0-10
- Subpackage python2-invocations has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.13.0-8
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 19 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.13.0-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.13.0-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 22 2016 Jeremy Cline <jeremy@jcline.org> - 0.13.0-1
- Initial package
